-------------------------------------------------------------------------
-- $Author: rodrigoh $
-- $Revision: 59261 $  - $Date: 2006-12-14 09:38:16 -0200 (Thu, 14 Dec 2006) $
-------------------------------------------------------------------------

-------------------------------------------------------------------------
-- Arquivo de configurao do SGA Daemon
-------------------------------------------------------------------------

-- Configurao padro
SGAD_CONF.node_defaults.platform_id = "Linux26"
SGAD_CONF.node_defaults.num_processors = 1
SGAD_CONF.node_defaults.memory_ram_info_mb = 0
SGAD_CONF.node_defaults.memory_swap_info_mb = 0
SGAD_CONF.node_defaults.clock_speed_mhz = 0
SGAD_CONF.node_defaults.file_separator = "/"
SGAD_CONF.node_defaults.project_root_directory ="../../csgrid/project"
SGAD_CONF.node_defaults.algorithm_root_directory ="../../csgrid/algorithms"
SGAD_CONF.node_defaults.byte_order = LITTLE_ENDIAN
SGAD_CONF.node_defaults.manage_csfs = NO
SGAD_CONF.node_defaults.disabled = NO
SGAD_CONF.node_defaults.benchmark = NO
SGAD_CONF.node_defaults.cpu_capacity = NO_CAPACITY

SGAD_CONF.platform_mapping.Windows64 = "Windows"

-------------------------------------------------------------------------
Node{
  name = "localhost",
}
-------------------------------------------------------------------------
-------------------------------------------------------------------------
-- Exemplo de configurao de SGAs
-------------------------------------------------------------------------
-- Para definir um SGA simples, basta definir seu nome e os campos
-- que so diferentes da configurao default.
-- Node{ 
--   name = "singleNode",
--   platform_id = "Linux24",
--   clock_speed_mhz = 1000,
--   memory_ram_info_mb = 2048,
--   memory_swap_info_mb = 5376,
--   byte_order = LITTLE_ENDIAN,
--   disabled = YES,
--   csfs_properties = { OAIAddr="kobke" },
--   requirements = { "Excel" },
-- }

-- Para definir um cluster, pode-se utilizar 3 opoes.
-- Grupos:
--   as maquinas node04 e node05 so do tipo "group2"
-- SGAs definidos anteriormente:
--   No exemplo, a maquina single node ja foi definida.
-- A configurao default daquele grid:
--   No exemplo, a maquina otherNode segue a configurao default do
--   Grid.
-- Grid{
--   name = "myCluster",
--   machine_time_seconds = 20,
--   deny_node_selection = YES,
--   ids = { {"node01", "group1"}, "node02", "node03",
--           {"node04", "group2"}, "node05",
--            "singleNode", -- SGA simples definido anteriormente
--            "otherNode",  -- SGA no definido, usar a configurao
--   },                     -- default do Grid
--   default = {
--     num_processors = 2,
--     platform_id = "Windows",
--     clock_speed_mhz = 3060,
--     memory_ram_info_mb = 4096,
--     memory_swap_info_mb = 9728,
--     csfs_properties = { OAIAddr="node01" },
--     byte_order = LITTLE_ENDIAN
--   },
--   groups = {
--     group1 = { 
--         platform_id = "Linux24g3",
--         clock_speed_mhz = 1000,
--         memory_ram_info_mb = 3*1024,
--         memory_swap_info_mb = 16*1024,
--     },
--     group2 = { 
--         platform_id = "Linux24",
--         clock_speed_mhz = 1000,
--         memory_ram_info_mb = 1024,
--         memory_swap_info_mb = 17216,
--     },
--   }
-- }
-------------------------------------------------------------------------
